import React from "react";
import { register } from "@antv/x6-react-shape";
import { Graph, Node } from "@antv/x6";
function TableNode({ node, graph }: { node: Node; graph: Graph }) {
  return (
    <div className="w-full h-full border border-1px border-solid border-#333 flex flex-col">
      <div className="header border-b-solid border-b-1px border-b-#333 truncate bg-#fafafa text-center py-4px">
        user_name(用户信息)
      </div>
      <div className="bg-#fafafa flex-1">
        <div className="primary-key">主键信息</div>
        <div className="field-info">字段列表</div>
      </div>
    </div>
  );
}

register({
  shape: "table-node",
  component: TableNode,
  width: 200,
  height: 120,
});
