import React from "react";
import { Button, Tooltip, Divider } from "antd";
export default function Menu() {
  return (
    <div className="flex items-center leading-24px py-4px rel10tive">
      {/* <div className="group">
        <div className="flex items-center">
          <Tooltip title="新建主表">
            <div className="btn flex flex-col items-center cursor-pointer py-4px px-10px hover:bg-gray-200">
              <svg className="icon h-32px w-24px" aria-hidden="true">
                <use xlinkHref="#icon-jurassic_add-form"></use>
              </svg>
              <div className="text-14px color-#666">主表</div>
            </div>
          </Tooltip>
          <Tooltip title="新建子表">
            <div className="btn flex flex-col items-center cursor-pointer py-4px px-10px hover:bg-gray-200 opacity-50">
              <svg className="icon h-32px w-24px" aria-hidden="true">
                <use xlinkHref="#icon-jurassic_add-form"></use>
              </svg>
              <div className="text-14px color-#666">子表</div>
            </div>
          </Tooltip>
        </div>
        <div className="text-12px color-#666 text-center">
          文件
        </div>
      </div>

      <Divider type="vertical"/> */}

      <div className="group">
        <div className="flex items-center">
          <Tooltip title="撤销上一步操作">
            <div className="btn flex flex-col items-center cursor-pointer py-4px px-10px hover:bg-gray-200">
              <svg className="icon h-32px w-24px" aria-hidden="true">
                <use xlinkHref="#icon-undo"></use>
              </svg>
              <div className="text-14px color-#666">撤销</div>
            </div>
          </Tooltip>
          <Tooltip title="恢复上一步操作">
            <div className="btn flex flex-col items-center cursor-pointer py-4px px-10px hover:bg-gray-200 opacity-50">
              <svg className="icon h-32px w-24px" aria-hidden="true">
                <use xlinkHref="#icon-redo"></use>
              </svg>
              <div className="text-14px color-#666">恢复</div>
            </div>
          </Tooltip>
        </div>
        <div className="text-12px color-#666 text-center">
          编辑
        </div>
      </div>

      <div className="h-80px border-transparent border-r-1px border-solid border-r-#eee m-x-8px"></div>

      <div className="group">
        <div className="flex items-center">
          <Tooltip title="创建数据表">
            <div className="btn flex flex-col items-center cursor-pointer py-4px px-10px hover:bg-gray-200">
              <svg className="icon h-32px w-24px" aria-hidden="true">
                <use xlinkHref="#icon-biaoge"></use>
              </svg>
              <div className="text-14px color-#666">实体/表</div>
            </div>
          </Tooltip>
          <Tooltip title="创建备注">
            <div className="btn flex flex-col items-center cursor-pointer py-4px px-10px hover:bg-gray-200">
              <svg className="icon h-32px w-24px" aria-hidden="true">
                <use xlinkHref="#icon-beizhu"></use>
              </svg>
              <div className="text-14px color-#666">备注</div>
            </div>
          </Tooltip>
          <Tooltip title="创建图框">
            <div className="btn flex flex-col items-center cursor-pointer py-4px px-10px hover:bg-gray-200">
              <svg className="icon h-32px w-24px" aria-hidden="true">
                <use xlinkHref="#icon-ditukuangxuan"></use>
              </svg>
              <div className="text-14px color-#666">图框</div>
            </div>
          </Tooltip>
          <div className="h-50px border-transparent border-r-1px border-solid border-r-#eee m-x-8px"></div>
          <Tooltip title="创建一对一关系">
            <div className="btn flex flex-col items-center cursor-pointer py-4px px-10px hover:bg-gray-200">
              <svg className="icon h-32px w-24px" aria-hidden="true">
                <use xlinkHref="#icon-zhujian"></use>
              </svg>
              <div className="text-14px color-#666">主键</div>
            </div>
          </Tooltip>
          <Tooltip title="创建一对多关系">
            <div className="btn flex flex-col items-center cursor-pointer py-4px px-10px hover:bg-gray-200">
              <svg className="icon h-32px w-24px" aria-hidden="true">
                <use xlinkHref="#icon-feizhujian"></use>
              </svg>
              <div className="text-14px color-#666">非主键</div>
            </div>
          </Tooltip>
          <Tooltip title="创建多对多关系">
            <div className="btn flex flex-col items-center cursor-pointer py-4px px-10px hover:bg-gray-200">
              <svg className="icon h-32px w-24px" aria-hidden="true">
                <use xlinkHref="#icon-duoduiduo"></use>
              </svg>
              <div className="text-14px color-#666">多对多</div>
            </div>
          </Tooltip>
        </div>
        <div className="text-12px color-#666 text-center">
          实体与关系
        </div>
      </div>

      <div className="h-80px border-transparent border-r-1px border-solid border-r-#eee m-x-8px"></div>

      <div className="group">
        <div className="flex items-center">
          <Tooltip title="显示">
            <div className="btn flex flex-col items-center cursor-pointer py-4px px-10px hover:bg-gray-200">
              <svg className="icon h-32px w-24px" aria-hidden="true">
                <use xlinkHref="#icon-shitibiao-"></use>
              </svg>
              <div className="text-14px color-#666">显示</div>
            </div>
          </Tooltip>
          <Tooltip title="大小">
            <div className="btn flex flex-col items-center cursor-pointer py-4px px-10px hover:bg-gray-200">
              <svg className="icon h-32px w-24px" aria-hidden="true">
                <use xlinkHref="#icon-daxiao"></use>
              </svg>
              <div className="text-14px color-#666">大小</div>
            </div>
          </Tooltip>
          <Tooltip title="样式">
            <div className="btn flex flex-col items-center cursor-pointer py-4px px-10px hover:bg-gray-200">
              <svg className="icon h-32px w-24px" aria-hidden="true">
                <use xlinkHref="#icon-yangshi"></use>
              </svg>
              <div className="text-14px color-#666">样式</div>
            </div>
          </Tooltip>
        </div>
        <div className="text-12px color-#666 text-center">
          显示样式
        </div>
      </div>

      <div className="h-80px border-transparent border-r-1px border-solid border-r-#eee m-x-8px"></div>
    </div>
  );
}
